#!/bin/sh
#Script gets called by a cronjob every 5 minutes
#handles hdd turn on/off

#where clients alive last time?
EXCLIENTS=`cat /var/ClientsAlive.txt`

#ping (via firewall resistant arping) all known hosts.
# if at least one answers, stay (or switch) online (the HDD)
echo 0 > /var/ClientsAlive.txt
cat /proc/net/arp /var/arpConnects | grep br0 | awk '{print $1}' | sort | uniq | xargs -r -n 1 /var/arpinger.sh
CLIENTS=`cat /var/ClientsAlive.txt`

#sometimes pongs get lost, so try again if nobody answered
# (if there really is no one, this additional cpu time doesn't hurt ;-)
if [ $CLIENTS -eq 0 ]
then
  #give the kernel-arp-code some time
  sleep 1
  echo " second ping"
  cat /proc/net/arp /var/arpConnects | grep br0 | awk '{print $1}' | sort | uniq | xargs -r -n 1 /var/arpinger.sh
  CLIENTS=`cat /var/ClientsAlive.txt`
fi

#give the kernel-arp-code some time
sleep 1
#save current arp table for the next time
cat /proc/net/arp > /var/arpConnects

STATUS=`cat /var/HDDstatus`


if [ $CLIENTS -gt 0 ]
then
  if [ $STATUS -eq 4 ]
  then
    echo "PowerOn triggered but HDD already is On"
    #unfortunately we cannot determine current LED status...
    #see if there's still some device connected
    DEVICES=`cat /proc/scsi/scsi | grep "Host:" | wc -l`
    if [ $DEVICES -eq 0 ]
    then
      echo "       HDD in powered on state but disconnected"
      echo "       switching HDD to powerOff state"
      /var/HDDpowerOff.sh &
    fi
    exit
  fi
  echo "LED/HDD powered On"
  #echo 2 > /var/HDDstatus
  /var/HDDpowerOn.sh &
else
  if [ $STATUS -eq 0 ]
  then
    echo "PowerOff triggered but HDD already is not Off"
    #but maybe some other thing has turned on the LED...
    ledctrl Usb Off
    exit
  fi
  #if last time was no active client, switch off now
  # don't do it if there was someone
  if [ $EXCLIENTS -le 0 ]
  then
    echo "LED/HDD powered Off"
    #echo 1 > /var/HDDstatus
    /var/HDDpowerOff.sh &
  fi
fi
