#!/bin/sh
#shuts down and powers off HDD

STATUS=`cat /var/HDDstatus`
if [ $STATUS -ne 4 ]
then
 echo "PowerOff: wrong Status: /var/HDDstatus must be 4(On) but is $STATUS!"
 exit
fi

#Offscript running
echo 1 > /var/HDDstatus

#Check if SCSI device is Online
DEVICES=`cat /proc/scsi/scsi | grep "Host:" | wc -l`
if [ $DEVICES -eq 0 ]
then
  echo "PowerOff: USB Device is disconnected?"
  #ledctrl Usb Off
  ##was off so can be turned on immediately
  ##echo 0 > /var/HDDlastPowerOff
  #echo 0 > /var/HDDstatus
  #exit
fi

if [ ! -e /var/HDDlastPowerOn ]
then
  echo "PowerOff: HDD was never successfully started, quitting"
  echo 0 > /var/HDDstatus
  exit
fi

#check if there is enough time elapsed since last PowerOn
LAST=`cat /var/HDDlastPowerOn`
NOW=`date +%s`
ELAPSED=`expr $NOW - $LAST`
if [ $ELAPSED -lt 272 ]
then
  echo "PowerOff triggered, but only $ELAPSED seconds elapsed since PowerOn"
  echo "leaving HDD in PowerOn state"
  echo 4 > /var/HDDstatus
  exit
fi

#unexport
/usr/sbin/exportfs -au
killall rpc.mountd
killall rpc.statd
killall portmap
killall lockd
killall nfsd
killall rpciod

#umount
umount /mnt

#poweroff
ledctrl Usb Off

#Now HDD is powered Off
date +%s > /var/HDDlastPowerOff
echo 0 > /var/HDDstatus
echo "PowerOff: HDD is now powered Off"
