#!/bin/sh
#powers on HDD and exports it

#Devicename to mount - if you do not know how to handle it, leave "/dev/sda1"
DEVNAME="/dev/sda1"


##### nothing to edit down there #####


STATUS=`cat /var/HDDstatus`
if [ $STATUS -ne 0 ]
then
 echo "PowerOn: wrong Status: /var/HDDstatus must be 0(Off) but is $STATUS!"
 exit
fi

#Onscript running
echo 2 > /var/HDDstatus

#Check if SCSI device is Offline
DEVICEON=0
DEVICES=`cat /proc/scsi/scsi | grep "Host:" | wc -l`
if [ $DEVICES -ne 0 ]
then
  echo "PowerOn: USB Device seems powered on. shouldn't be. Any USBstick there?"
  echo "         proceed HDDpowerOn"
  DEVICEON=1
fi

if [ ! -e /var/HDDlastPowerOff ]
then
  echo "PowerOn: HDD was never shut down, assuming recently reboot"
  echo 0 > /var/HDDlastPowerOff
fi

#check if there is enough time elapsed since last PowerOn
LAST=`cat /var/HDDlastPowerOff`
NOW=`date +%s`
ELAPSED=`expr $NOW - $LAST`
if [ $ELAPSED -lt 30 ]
then
  echo "PowerOn triggered, but only $ELAPSED seconds elapsed since PowerOff"
  echo "Do not power on"
  echo 0 > /var/HDDstatus
  exit
fi

if [ $DEVICEON -eq 0 ]
then
  OLDSTATUS=`cat /proc/scsi/scsi | wc -l`

  #switching LED on
  ledctrl Usb On

  #wait 10 seconds for device to come up
  COUNTER=0
  NEWSTATUS=`cat /proc/scsi/scsi | wc -l`
  while [ $OLDSTATUS -eq $NEWSTATUS ] && [ $COUNTER -lt 10 ]
  do
    sleep 1
    NEWSTATUS=`cat /proc/scsi/scsi | wc -l`
    COUNTER=`expr $COUNTER + 1`
  done

  #see if new device has come up
  if [ $OLDSTATUS -eq $NEWSTATUS ]
  then
    echo "HDDpowerOn: no new device has come up, switching LED off"
    echo 0 > /var/HDDstatus
    ledctrl Usb Off
    exit
  fi

  #debug - time needed for device to come up
  echo $COUNTER >> /var/HDD-comeuptimes
fi

#mount

#mount $DEVNAME -o umask=0 /mnt
#mount /dev/sda1 /mnt

MD5=`dd if=/dev/sda count=1 2> /dev/null | md5sum | awk  '{print $1}'`
cat /var/HDDmount | sh /var/HDDmountTest.sh $MD5

if [ $? -ne 0 ]
then
  echo "HDDpowerOn: mount failure, switching LED off"
  echo 0 > /var/HDDstatus
  ledctrl Usb Off
  exit
fi

#export
/usr/sbin/portmap
/usr/sbin/rpc.nfsd
/usr/sbin/rpc.lockd
/usr/sbin/rpc.statd
#/usr/sbin/rpc.mountd
/usr/sbin/exportfs -ra
#/usr/sbin/nfsd
/usr/sbin/rpc.mountd

#Now HDD is powered On
date +%s > /var/HDDlastPowerOn
echo 4 > /var/HDDstatus
echo "PowerOn: HDD is now powered On"
